<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>usoft-fin-grpc-parent</artifactId>
        <groupId>com.usoft.fin</groupId>
        <version>1.0.0-SNAPSHOT</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>usoft-fin-grpc-utils</artifactId>
    <packaging>jar</packaging>
    <dependencies>

        <!-- framework -->
        <dependency>
            <groupId>com.usoft.framework</groupId>
            <artifactId>usoft-exception-utils</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
        </dependency>

        <!-- grpc api -->
        <dependency>
            <groupId>com.usoft.fin</groupId>
            <artifactId>usoft-fin-grpc-api</artifactId>
            <version>${spring.active.profile}-SNAPSHOT</version>
        </dependency>

        <dependency>
            <groupId>org.apache.httpcomponents</groupId>
            <artifactId>httpclient</artifactId>
        </dependency>

    </dependencies>
</project>